<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.lessondetails.dialog.AnswerResultDialogViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/parentContainer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/beige_color">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/wellDone"
            app:visible="@{viewModel.result}"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/beige_color"
            android:visibility="gone">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:adjustViewBounds="true"
                android:src="@drawable/result_success"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/icon"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_happy_face"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title"
                style="@style/Title.bananagrotesk"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spacing_xl"
                android:gravity="center"
                android:text="Nice!"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/icon" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/almostDone"
            app:visible="@{!viewModel.result}"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/red_rose">

            <androidx.appcompat.widget.AppCompatTextView
                style="@style/Title.bananagrotesk"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spacing_xl"
                android:gravity="center"
                android:text="Almost"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
